Name:			fotoxx
Version:		17.04.2
Release:		%mkrel 2
Summary:		Editor of image files from digital cameras
License:		GPLv3
Group:			Graphics/Editors and Converters
URL:			http://www.kornelix.com/fotoxx.html
Source0:		http://www.kornelix.com/downloads/tarballs/%{name}-%{version}.tar.gz
Patch0:			fotoxx-17.04.2-mga-desktop_file.patch

BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		pkgconfig(lcms2)
BuildRequires:		pkgconfig(libraw)
BuildRequires:		pkgconfig(libtiff-4)
BuildRequires:		pkgconfig(champlain-0.12)
BuildRequires:		pkgconfig(champlain-gtk-0.12)
BuildRequires:		ufraw
BuildRequires:		perl-Image-ExifTool
BuildRequires:		xdg-utils

Requires:		exiv2
Requires:		ufraw
Requires:		perl-Image-ExifTool
Requires:		dcraw
Recommends:		brasero
Recommends:		rawtherapee

%description
Edit image files from a digital camera. Includes color and contrast
enhancement, red-eye removal, sharpen, crop, rotate, noise removal,
HDR (high dynamic range) and panorama image compositing, thumbnail
image browser, tag editing and search.

%prep
%setup -q
%autopatch -p1

%build
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
cp %{buildroot}%{_datadir}/%{name}/icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%files
%{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Jun 04 2017 daviddavid <daviddavid> 17.04.2-2.mga6
+ Revision: 1106462
- fix desktop file

* Sat Jun 03 2017 akien <akien> 17.04.2-1.mga6
+ Revision: 1105961
- Version 17.04.2

* Sat Jan 14 2017 daviddavid <daviddavid> 17.01.1-1.mga6
+ Revision: 1081727
- new version: 17.01.1

* Wed Dec 28 2016 neoclust <neoclust> 16.09-2.mga6
+ Revision: 1078428
- Rebuild for new libraw

* Sat Sep 17 2016 daviddavid <daviddavid> 16.09-1.mga6
+ Revision: 1053547
- new version: 16.09
- rename and rediff desktop_file patch

* Sat Apr 23 2016 daviddavid <daviddavid> 16.05.1-1.mga6
+ Revision: 1005760
- new version: 16.05.1

* Wed Apr 06 2016 daviddavid <daviddavid> 16.04-1.mga6
+ Revision: 998840
- new version: 16.04

* Fri Mar 04 2016 daviddavid <daviddavid> 16.03-1.mga6
+ Revision: 985470
- new version: 16.03

* Wed Feb 03 2016 daviddavid <daviddavid> 16.02-1.mga6
+ Revision: 933314
- new version: 16.02
- rename and rediff desktop patch

* Sun Jan 10 2016 daviddavid <daviddavid> 16.01.1-1.mga6
+ Revision: 921233
- new version: 16.01.1

* Fri Jan 01 2016 daviddavid <daviddavid> 16.01-1.mga6
+ Revision: 918025
- new version: 16.01

* Mon Dec 28 2015 daviddavid <daviddavid> 15.12.1-1.mga6
+ Revision: 916332
- new version: 15.12.1
- update Source URL

* Wed Dec 02 2015 daviddavid <daviddavid> 15.12-1.mga6
+ Revision: 907603
- new version: 15.12

* Wed Nov 25 2015 daviddavid <daviddavid> 15.11.1-1.mga6
+ Revision: 905938
- new version: 15.11.1
- use upstream desktop file
- add patch0 to fix upstream desktop file
- remove no more needed fix for appstream metadata location
- switch BRs to pkgconfig()

* Wed Oct 15 2014 umeabot <umeabot> 14.09-3.mga5
+ Revision: 744535
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 14.09-2.mga5
+ Revision: 679308
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Sep 09 2014 bersuit <bersuit> 14.09-1.mga5
+ Revision: 674122
- Upgrade to new upstream version 14.09

* Wed Aug 27 2014 doktor5000 <doktor5000> 14.08-1.mga5
+ Revision: 668899
- new version 14.08
- added missing Suggests on brasero and rawtherapee
- moved appstream metadata from /usr/share/appdata to correct location

* Wed Apr 02 2014 bersuit <bersuit> 14.04-1.mga5
+ Revision: 611405
- Updated to new upstream version 14.04

* Mon Feb 10 2014 dams <dams> 14.02.2-1.mga5
+ Revision: 588959
- new version 14.02.2

* Mon Oct 21 2013 umeabot <umeabot> 13.09.4-2.mga4
+ Revision: 536981
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 bersuit <bersuit> 13.09.4-1.mga4
+ Revision: 485636
- Drop pthread patch
- Update to new upstream release 13.09.4

* Mon Jun 03 2013 fwang <fwang> 13.05.2-2.mga4
+ Revision: 435901
- rebuild for new libpng

* Thu May 23 2013 shlomif <shlomif> 13.05.2-1.mga4
+ Revision: 424997
- New BR - lcms2-devel
- New version - 13.05.2

* Fri Jan 11 2013 umeabot <umeabot> 13.01.1-2.mga3
+ Revision: 350788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Mon Jan 07 2013 juancho <juancho> 13.01.1-1.mga3
+ Revision: 340958
- Updated to 13.01.1

* Wed Dec 26 2012 juancho <juancho> 12.12.2-1.mga3
+ Revision: 335263
- Updated to version 12.12.2

* Thu Nov 29 2012 juancho <juancho> 12.11-1.mga3
+ Revision: 323164
- Updated to 12.11

* Mon Oct 08 2012 juancho <juancho> 12.10.1-2.mga3
+ Revision: 303555
- Added Requires: dcraw

* Mon Oct 08 2012 juancho <juancho> 12.10.1-1.mga3
+ Revision: 303379
- Updated to 12.10.1

* Mon Aug 06 2012 juancho <juancho> 12.08-1.mga3
+ Revision: 279578
- Updated to 12.08

* Tue Jun 05 2012 juancho <juancho> 12.06.1-1.mga3
+ Revision: 255938
- Updated to 12.06.1

* Mon Mar 05 2012 juancho <juancho> 12.03.1-1.mga2
+ Revision: 219263
- Updated to 12.03.1

* Thu Mar 01 2012 juancho <juancho> 12.02-1.mga2
+ Revision: 216352
- Updated to 12.02
- Removed old BuildRoot stuff

  + ofaurax <ofaurax>
    - Missing BuildRequires: glibc-devel, for pthread.h
    - Upgrade new package to new version
    - imported package fotoxx


* Wed Oct 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 11.10-1mdv2012.0
+ Revision: 704504
- update to new version 11.10

* Sun Jun 19 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 11.06.2-1
+ Revision: 686042
- spec file clean
- update to new version 11.06.2
- drop patch 0
- remove upstream desktop file

* Sun Apr 03 2011 Funda Wang <fwang@mandriva.org> 11.04-1
+ Revision: 649992
- new version 11.04

* Mon Mar 14 2011 Stéphane Téletchéa <steletch@mandriva.org> 11.03.1-1
+ Revision: 644720
- Add missing BR xdg-utils
- Update to version 11.03
- Remove no more needed patch, use more classical build options

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 10.12-1mdv2011.0
+ Revision: 609897
- new version 10.12

* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 10.11.1-1mdv2011.0
+ Revision: 593629
- new version 10.11.1

* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 10.10-1mdv2011.0
+ Revision: 582363
- new version 10.10

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 10.9.1-1mdv2011.0
+ Revision: 577231
- new version 10.9.1

* Thu Sep 02 2010 Funda Wang <fwang@mandriva.org> 10.9-1mdv2011.0
+ Revision: 575357
- new version 10.9

* Fri Aug 20 2010 Funda Wang <fwang@mandriva.org> 10.8.4-1mdv2011.0
+ Revision: 571418
- new version 10.8.4

* Mon Aug 09 2010 Funda Wang <fwang@mandriva.org> 10.8.3-1mdv2011.0
+ Revision: 568034
- new version 10.8.3

* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 10.8-1mdv2011.0
+ Revision: 565044
- new version 10.8

* Sat Apr 24 2010 Funda Wang <fwang@mandriva.org> 10.2-1mdv2010.1
+ Revision: 538467
- new version 10.2

* Thu Mar 25 2010 Funda Wang <fwang@mandriva.org> 9.8.1-1mdv2010.1
+ Revision: 527403
- new version 9.8.1

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 9.8-1mdv2010.1
+ Revision: 526016
- New version 9.8

* Sun Mar 07 2010 Funda Wang <fwang@mandriva.org> 9.7-1mdv2010.1
+ Revision: 515341
- New version 9.7

* Thu Feb 04 2010 Funda Wang <fwang@mandriva.org> 9.5-1mdv2010.1
+ Revision: 500826
- New version 9.5
- fix linkage

* Fri Jan 22 2010 Jérôme Brenier <incubusss@mandriva.org> 9.4-1mdv2010.1
+ Revision: 495050
- new version 9.4
- drop Patch0, the desktop file install being now optionnal

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 9.1-1mdv2010.1
+ Revision: 482705
- new version 9.1

* Wed Dec 23 2009 Jérôme Brenier <incubusss@mandriva.org> 9.0-2mdv2010.1
+ Revision: 481892
- Patch0 : don't autocreate a .desktop file (already done in the specfile)

* Wed Dec 23 2009 Jérôme Brenier <incubusss@mandriva.org> 9.0-1mdv2010.1
+ Revision: 481844
- new version 9.0

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 8.6.2-1mdv2010.1
+ Revision: 462390
- Update to new version 8.6.2

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 8.4.3-1mdv2010.0
+ Revision: 450652
- Update to new version 8.4.3

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 8.4.1-1mdv2010.0
+ Revision: 440696
- Update to new version 8.4.1

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 8.4-1mdv2010.0
+ Revision: 438983
- Update to new version 8.4

* Wed Sep 02 2009 Frederik Himpe <fhimpe@mandriva.org> 8.3-1mdv2010.0
+ Revision: 425457
- Update to new version 8.3

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 8.2.2-1mdv2010.0
+ Revision: 422231
- Update to new version 8.2.2
- License has changed to GPLv3

* Thu Jul 23 2009 Frederik Himpe <fhimpe@mandriva.org> 7.7-1mdv2010.0
+ Revision: 399084
- Update to new version 7.7

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 7.6-1mdv2010.0
+ Revision: 398324
- Update to new version 7.6

* Fri May 15 2009 Frederik Himpe <fhimpe@mandriva.org> 6.8-1mdv2010.0
+ Revision: 376226
- Update to new version 6.8

* Sat Apr 04 2009 Nicolas Vigier <nvigier@mandriva.com> 6.4.1-1mdv2009.1
+ Revision: 364017
- version 6.4.1

* Fri Mar 20 2009 Nicolas Vigier <nvigier@mandriva.com> 6.2-1mdv2009.1
+ Revision: 359096
- version 6.2

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 5.8-1mdv2009.1
+ Revision: 324679
- New upstream release

* Thu Oct 23 2008 Nicolas Vigier <nvigier@mandriva.com> 5.4.1-2mdv2009.1
+ Revision: 296712
- add requires on exiv2 (#45195)
- fix doc path (#45195)
- complete url

* Tue Oct 21 2008 Nicolas Vigier <nvigier@mandriva.com> 5.4.1-1mdv2009.1
+ Revision: 296224
- fix summary, reindent description, remove buildroot before install
- import fotoxx


* Sat Oct 11 2008 incubusss <jejebr@orange.fr> 5.4-1mdv2009.0
- initial package
